<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>libgdamm: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">libgdamm
   &#160;<span id="projectnumber">4.99.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGnome.html">Gnome</a></li><li class="navelem"><a class="el" href="namespaceGnome_1_1Gda.html">Gda</a></li><li class="navelem"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">DataProxy</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Gnome::Gda::DataProxy Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#ab14931670837728e49bb5ca88fb16db5">add_destroy_notify_callback</a>(void *data, func_destroy_notify func) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a02553845053f5afe4bbde0ff5a2f7bf5">add_interface</a>(GType gtype_implementer)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#af6cb66b0b79c7401417f1ec8f1379285">alter_value_attributes</a>(int proxy_row, int col, ValueAttribute alter_flags)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#aef126649a1d5931d4fce85510d8e8097">append_row</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a7b78ccf18054d8f0e57d0582ee2faf72">append_values</a>(const std::vector&lt; Value &gt;&amp; values)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#acd2cf6caca93fe6e871a9f2a5940aabd">apply_all_changes</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ab8583dac60b58bf33d063c92f6d99474">apply_row_changes</a>(int proxy_row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a1878e859aa43f71018aa4eb9c7cd9de2">cancel_all_changes</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#abe2edadb419b26915650e77e07489a0f">cancel_row_changes</a>(int proxy_row, int col)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#adc6c1e8f094275114d6e2c3ef3a33f98">connect_property_changed</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896d7773c00bd2dcd310c861282ee8d1">connect_property_changed_with_return</a>(const Glib::ustring &amp;property_name, const sigc::slot&lt; void &gt; &amp;slot)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ad5a5f8ac4afede919da02580b4081aa3">create</a>(const Glib::RefPtr&lt; DataModel &gt;&amp; model)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#af49b02014c4bd22bd4028b2f253767a4">create_iter</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ae6cb5a563d8d7689a78986ef419933d4">DataModel</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ae68ec32532889364949d909fba7eaac4">DataModel</a>(DataModel&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a88869ea56de5982a219dd1036460a2f4">DataProxy</a>(DataProxy&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a1ca28f2466df84a1080959accdc43861">DataProxy</a>(const Glib::RefPtr&lt; DataModel &gt;&amp; model)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">explicit</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ae76fe532b9fb3c54268267b7579b0efb">describe_column</a>(int col)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ad27b76cbdcf00ea3a8de30c0279cf9b8">describe_column</a>(int col) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ace6b5aedc84260604ba591df58f45b2e">DestroyNotify</a> typedef</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a381a83e8218d843081da518daf94497d">dump</a>(FILE* to_stream) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a7f67c8bbaea464d0657daa7949b7dcaa">dump_as_string</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a0a02bfb027d48ff4578a6edf0f4fea22">erase</a>(int proxy_row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a7e3745ce4bf9a09cd6423bae862bb7d6">export_to_file</a>(DataModelIOFormat format, const std::string&amp; file, const std::vector&lt; int &gt;&amp; cols, const std::vector&lt; int &gt;&amp; rows, const Glib::RefPtr&lt; Set &gt;&amp; options)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ac58569714b865768a09f01855c6c0aac">export_to_string</a>(DataModelIOFormat format, const std::vector&lt; int &gt;&amp; cols, const std::vector&lt; int &gt;&amp; rows, const Glib::RefPtr&lt; Set &gt;&amp; options)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a11c039a2fa5ea9cd4f8044d2cf86d22f">freeze</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a6e9e13b75f116c20212d318204ce8ea3">freeze_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a3338954d7565534bd945290b798e13ed">func_destroy_notify</a> typedef</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a30163bf2913a2d188dbc2c17e3d47eb9">get_access_flags</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a3239a79e5adf78a91d5e50cd5af4f511">get_attributes_at</a>(int col, int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a6742d4e92d04feb6654fca60edbfa574">get_column_index</a>(const Glib::ustring&amp; name)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a099347884213f17caa9151e91bea5232">get_column_name</a>(int col) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#afe012ee84ae4955dd48f2116075dff88">get_column_title</a>(int col) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0e6581bcbcc6197cca07df24bb91c492">get_data</a>(const QueryQuark &amp;key)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ae5ea4f7fd12b2ce693f111bcc1950801">get_filter_expr</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aaae882af4ed8f3f658094d19379bd379">get_filter_expr</a>(const Glib::ustring&amp; filter_expr)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#af4b50dc08b41895f5b01f2818e458396">get_filtered_n_rows</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#aea9c67a76a5faaed039bb8dd2cd83558">get_n_columns</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a77c6ccd92246e4efb6be1b246460bc36">get_n_modified_rows</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a6355be309052503450a8c0cc710860b7">get_n_new_rows</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ac8ad2bf2c65705a519f694e73bedb2c0">get_n_rows</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5f894c9c36ad391fdc85552af67a8530">get_property</a>(const Glib::ustring &amp;property_name, PropertyType &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a5e30750441b92f0246c9d4ece95fc8a0">get_property_value</a>(const Glib::ustring &amp;property_name, Glib::ValueBase &amp;value) const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a5d074bd6e3c57274050f74c9b96005a3">get_proxied_model</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aa014abf27a434c4389ce43caf1d166ad">get_proxied_model</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ab08280878e7a001ddca503f11cd14c32">get_proxied_model_n_cols</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aa87b3e19bc5995a249719a09068d9d8d">get_proxied_model_n_rows</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aff1c2ef56b16ec4fc9709ebb2d3c9c5f">get_proxied_model_row</a>(int proxy_row) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a1982d7bf667e13abec894b5066ff22c8">get_row_from_values</a>(const ValueVector&amp; values, const std::vector&lt; int &gt;&amp; cols_index)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#af9094f0b09ab12567c9aebd3e80369d4">get_sample_end</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a11cb9f691247736f5ed69d108cd27492">get_sample_size</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a9d9e4f0c62cd82886a5a33264816dd2e">get_sample_start</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a1df68f63738799363c557f8a5366c6f5">get_type</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ac2f1ab1b5f23b38d86c19cd9acd98dec">get_typed_value_at</a>(int col, int row, GType expected_type, bool nullok) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a22c393b9d930fb82bd49e49b556fc9e5">get_value_at</a>(int col, int row) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a3b597666c13ba06b2fc0c66a5e709d36">get_value_attributes</a>(int proxy_row, int col) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a8bed3e92e6daa3cabcafb66beacae73b">get_values</a>(int proxy_row, const std::vector&lt; int &gt;&amp; cols_index) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a20ff1348fc0013fb9c33c82d7d494401">gobj</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a596dbec3180a1f066831130ae85a06dc">gobj</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a13a9f1ff550fdc9d56d56326b3c4d913">gobj_copy</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a9b2a5eb93102f1849e5419016e22a15f">Glib::Object::gobj_copy</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a6a5ec8f0ff423656d3eb90a79748382d">has_changed</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a256e6190230540c7df13b4e3a96228cd">import_from_file</a>(const std::string&amp; file, GHashTable* cols_trans, const Glib::RefPtr&lt; const Set &gt;&amp; options)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a527391220808d06de95a4bcc82fdaece">import_from_model</a>(const Glib::RefPtr&lt; DataModel &gt;&amp; from, bool overwrite, GHashTable* cols_trans)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a35908c612ea914b67092803c5e031d5d">import_from_string</a>(const Glib::ustring&amp; string, GHashTable* cols_trans, const Glib::RefPtr&lt; const Set &gt;&amp; options)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3faafb14c4f0ca60fbf0f5f5c4d549d0">initialize</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a44ddc123cd98ed0083aa06364365c8d3">initialize_move</a>(GObject *castitem, Glib::ObjectBase *previous_wrapper)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a3ab20f29c40967352d1bf2d88bfe11e5">Interface</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a83337dc270f966539b9f46804460ab75">Interface</a>(Interface &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#ae05bf6a4ce0f0992c2ad01429d13f9f7">Interface</a>(const Glib::Interface_Class &amp;interface_class)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a00253b22a76f751f1627865451cbc404">Interface</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a4bb27d294728f34452be66b4ec4cd757">Interface</a>(const Interface &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a968cd04871fb3c21948f3798a5848b8e">is_read_only</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a8c1e9aa7e1a0267f6e3b6714c36f0337">iter_move_next_default</a>(const Glib::RefPtr&lt; DataModelIter &gt;&amp; iter)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a1a8387543316f769d39295863ef0cb86">iter_move_prev_default</a>(const Glib::RefPtr&lt; DataModelIter &gt;&amp; iter)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a787e37ef95ef475a6c953409fff4004b">iter_move_to_row_default</a>(const Glib::RefPtr&lt; DataModelIter &gt;&amp; iter, int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#af2e23cfe7adc1ca844a3350bbac557cb">notify_callbacks</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a0127f43140e01d6a6731d42f9419be27">Object</a>(const Object &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a473ee068b40d5c949cee2c721d720c9a">Object</a>(Object &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ad43f7c5ad0336e1eb3af622392a112eb">Object</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6d72588496bd7ac03f72420021fb94a5">Object</a>(const Glib::ConstructParams &amp;construct_params)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a6f490eeaeb71db673c36799a0f729be5">Object</a>(GObject *castitem)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aaf0e140e7192dcecddd9f57c46825434">ObjectBase</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a27d3451d9ca28d6a2f00838d7c56d545">ObjectBase</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad4ef18214894c6874579313ab21d1018">ObjectBase</a>(const char *custom_type_name)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3d59b4d85b0ee72a727e6b2e1b31a2ff">ObjectBase</a>(const std::type_info &amp;custom_type_info)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a7e2e177061f6a6e09c4cf3da49c6dfd3">ObjectBase</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ad2b5d34b8de0068eb9da6d6c4c978adb">on_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#afe8e17786482da3dac487bb939a385bd">on_reset</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac689dfcbe7495f5c336e130840846e2e">on_row_changes_applied</a>(int row, int proxied_row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a1e1109b76776daeddea821cbab3c9cda">on_row_delete_changed</a>(int row, bool to_be_deleted)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a7eaaaaaa4454e6ba834710339967c61a">on_row_inserted</a>(int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#aa732165f7b86afdda700d934bdf39ab9">on_row_removed</a>(int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a4f8e768af7e1eac582934ed7e1572f4f">on_row_updated</a>(int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a37b75ea13cca51a9500609979ed3e572">on_sample_changed</a>(int sample_start, int sample_end)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a606d9d28b53ede9b1d335e4968247324">on_sample_size_changed</a>(int sample_size)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a72009c96a749c0ef27d1488a25e3816b">operator=</a>(DataProxy&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a7081561a5684709718fdf8c1875c56c0">Glib::Object::operator=</a>(const Object &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a2855131d475e54294dc34573f12ca9a0">Glib::Object::operator=</a>(Object &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a15f8834a320eac98dc1c1b8a9a2fd4c1">Glib::ObjectBase::operator=</a>(const ObjectBase &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a2e968f118314ba4d5debfd2850d18003">Glib::ObjectBase::operator=</a>(ObjectBase &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7494fbad23a65932ff1457d00d4edaf5">Glib::sigc::trackable::operator=</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a400b5799372238211a4437844d923a4e">Glib::sigc::trackable::operator=</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a06813e4bc6e63bc51d2e8704b737d641">Gnome::Gda::DataModel::operator=</a>(DataModel&amp;&amp; src) noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a411d66c7467e749dbb2c4b31c4d518b5">Glib::Interface::operator=</a>(Interface &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#acf322f95cef17aa4cc232d8ef25f2b42">Glib::Interface::operator=</a>(const Interface &amp;)=delete</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a03c84472e422e8854245aa11a830e7e4">property_defer_sync</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aafd9861e707d9d19e7128143c95f9437">property_defer_sync</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac4490c795536742bf000b2463c244d13">property_model</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a976598ba4890cfa99d412d6ec7c97e44">property_model</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a794414f493075acc7890cda621b1c44a">property_prepend_null_entry</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac554ad7f147bd7c95b7e0a6eec00542e">property_prepend_null_entry</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a53ce5c480efb506ccb402a360a9c5702">property_sample_size</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ae6b1e10111ff879945b6a905ed64abbc">property_sample_size</a>() const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a896a8a5db20043ea82956e3ef4b9c4ae">reference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aada5b50844bda7ee02bed0ae2a715c00">remove_data</a>(const QueryQuark &amp;quark)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a8b9dffa8a50ff13ba33e6c7f10468e2b">remove_destroy_notify_callback</a>(void *data) const </td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a271239b1bbf8e95beae98c8b07983e40">remove_row</a>(int row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a8d36c248041ba85d221bdd9d4a2e7d08">row_has_changed</a>(int proxy_row) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a2bdadcc3f5f66d2edb191fe211403bbb">row_is_deleted</a>(int proxy_row) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a779cd3b00bfc8b0126a62dbfac1ec857">row_is_inserted</a>(int proxy_row) const </td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a5d56e9975dd2afbd56e428ddd5924811">send_hint</a>(DataModelHint hint, const Value&amp; hint_value)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a5189e38369673f930661f82fb0b9bbb7">set_column_name</a>(int col, const Glib::ustring&amp; name)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ad309e4134cbdda6f79691b43e16e5eb5">set_column_title</a>(int col, const Glib::ustring&amp; title)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#afff7a375a862f3f899daaa99710122fa">set_data</a>(const Quark &amp;key, void *data)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#a1febe3bae2dd71756e98e523cd33c1b4">set_data</a>(const Quark &amp;key, void *data, DestroyNotify notify)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac3b6ccfc2b86577326036510ed7286bc">set_ordering_column</a>(int col)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ad37844f7ea2c0091a22d011e04c48820">set_property</a>(const Glib::ustring &amp;property_name, const PropertyType &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#aab599d3eec4b4a9ddc95ccdc6100053d">set_property_value</a>(const Glib::ustring &amp;property_name, const Glib::ValueBase &amp;value)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a519edc04a930dda39ece993319beeb05">set_sample_size</a>(int sample_size)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#acaa0f674714646ca31d6ec57aab078ae">set_sample_start</a>(int sample_start)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a4c7d98e434b2ed8b86432203fd831f3f">set_value_at</a>(int col, int row, const Value&amp; value)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a09480d7887a0e22de33edb65970bd07e">set_values</a>(int row, const std::vector&lt; Value &gt;&amp; values)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a210be11722e9abae805889a90a1d969c">signal_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a324cff8212f3dbeb9504e97636dd39dd">signal_filter_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#abf4a9efb6bffd0f90da482f24c59f798">signal_reset</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a3bc587aa8ea4513c30fe70847337b4a0">signal_row_changes_applied</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a9c6b2591ccb7c86a91dd5154507dc187">signal_row_delete_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a44d1fef2b89bb777e8920627187167a4">signal_row_inserted</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a9bec8ba89312927f9751724ec8fab8e8">signal_row_removed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#acc7b871c4f55e6092790e03283bcf43d">signal_row_updated</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a36cfa77d1b108d99093e1a605df4348c">signal_sample_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#ac6d3e410ebae7cb6f90064eeaf7a2efa">signal_sample_size_changed</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aedd0dc6781a74ca9c6e9f43d4faa84db">signal_validate_row_changes</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ab454f71bd74403b0cc46d3cbbedd6b0e">steal_data</a>(const QueryQuark &amp;quark)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#aa610f9a23f26d46f68b55b82900c9690">thaw</a>()</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a1bd8ea7bd8c4084ade6b3c27dddf06a4">thaw_notify</a>()</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a09f5b2fe24c2ac1da8322ed0ea1553ea">trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a7efefbcab4645648a366da3439242198">trackable</a>(const trackable &amp;src)</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a9a6ff5a4d7c51cede2117525f470f96a">trackable</a>(trackable &amp;&amp;src) noexcept</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aa924b89d8c77a82af926eed675cf0919">unerase</a>(int proxy_row)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#a3234b8ffb2a35b927e2978c8f3bfbfe3">unreference</a>() const </td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a0ed66299310af38e618f740a79fc3c52">ValueVector</a> typedef</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#aeb2755aa7104f5f143fb823326fac00b">wrap</a>(GdaDataProxy* object, bool take_copy=false)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#ae4dea9a8dc611d6e4400a5b6a3cb4e7f">Glib::Object::wrap</a>(GObject *object, bool take_copy=false)</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#ad64ded50f437e10a594c43517c45a389">Gnome::Gda::DataModel::wrap</a>(GdaDataModel* object, bool take_copy=false)</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html#a3be680f62b74257c13ef383ba3527127">~DataModel</a>() noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataModel.html">Gnome::Gda::DataModel</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html#a144479c7506c3acafad2c3d0d62a21ed">~DataProxy</a>() noexcept</td><td class="entry"><a class="el" href="classGnome_1_1Gda_1_1DataProxy.html">Gnome::Gda::DataProxy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html#a65381d7993021746f023477ca8e76f34">~Interface</a>() noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html">Glib::Interface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html#aca9f9705c065c26621b7745d40f5b344">~Object</a>() noexcept</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html">Glib::Object</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html#ae56ec45e9ebeaacf24be4fb54ed2eea3">~ObjectBase</a>() noexcept=0</td><td class="entry"><a class="elRef" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html">Glib::ObjectBase</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html#a75587da09e30031db7a2519843f1f4fb">~trackable</a>()</td><td class="entry"><a class="elRef" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html">sigc::trackable</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 4 2015 15:04:40 for libgdamm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
